package com.qmth.themis.business.config;

import org.springframework.stereotype.Component;

import java.io.File;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Map;

/**
 * @Description: 获取环境
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/18
 */
@Component
public class EnvConfig {
    String backendProject = "backend",
            taskProject = "task",
            examProject = "exam",
            backendPath = "com.qmth.themis.backend.constant.BackendConstant",
            taskPath = "com.qmth.themis.task.constant.TaskConstant",
            examPath = "com.qmth.themis.exam.constant.ExamConstant",
            methodName = "getAttachmentEnv";

    /**
     * 获取oss环境
     *
     * @param type
     * @return
     */
    public Map<String, Object> getOssEnv(Integer type) {
        try {
            String path = this.getClass().getResource(File.separator).getPath();
            Class clazz = null;
            try {
                if (path.contains(backendProject)) {
                    clazz = Class.forName(backendPath);
                } else if (path.contains(taskProject)) {
                    clazz = Class.forName(taskPath);
                } else if (path.contains(examProject)) {
                    clazz = Class.forName(examPath);
                }
            } catch (ClassNotFoundException e) {
                e.printStackTrace();
            }
            Object o = clazz.newInstance();
            Method method = clazz.getDeclaredMethod(methodName, Integer.class);
            return (Map<String, Object>) method.invoke(o, type);
        } catch (NoSuchMethodException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        } catch (InstantiationException e) {
            e.printStackTrace();
        }
        return null;
    }
}
