package com.qmth.themis.business.service.impl;

import java.util.Map;

import javax.annotation.Resource;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TEExamCourseMapper;
import com.qmth.themis.business.entity.TEExamCourse;
import com.qmth.themis.business.service.TEExamCourseService;
import com.qmth.themis.common.exception.BusinessException;

/**
 * @Description: 考试科目 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TEExamCourseServiceImpl extends ServiceImpl<TEExamCourseMapper, TEExamCourse> implements TEExamCourseService {

    @Resource
    TEExamCourseMapper teExamCourseMapper;

    /**
     * 查询考试科目
     *
     * @param iPage
     * @param examId
     * @param courseCode
     * @param courseName
     * @param hasPaper
     * @return
     */
    @Override
    public IPage<TEExamCourse> examCourseQuery(IPage<Map> iPage, Long examId, String courseCode, String courseName, Integer hasPaper) {
        return teExamCourseMapper.examCourseQuery(iPage, examId, courseCode, courseName, hasPaper);
    }
    
    @Override
    public TEExamCourse findByCode(String courseCode) {
    	if(StringUtils.isBlank(courseCode)) {
    		throw new BusinessException("courseCode is null");
    	}
    	return teExamCourseMapper.findByCode(courseCode);
    }
}
