package com.qmth.themis.business.service.impl;

import javax.annotation.Resource;

import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.themis.business.dao.TEExamPaperMapper;
import com.qmth.themis.business.entity.TEExamPaper;
import com.qmth.themis.business.service.TEExamPaperService;
import com.qmth.themis.common.exception.BusinessException;

/**
 * @Description: 考试试卷 服务实现类
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Service
public class TEExamPaperServiceImpl extends ServiceImpl<TEExamPaperMapper, TEExamPaper> implements TEExamPaperService {

	@Resource
	TEExamPaperMapper teExamPaperMapper;

	@Override
	public TEExamPaper findByExamIdAndCourseCodeAndPaperCode(Long examId, String courseCode, String paperCode) {
		if (examId == null) {
			throw new BusinessException("examId is null");
		}
		if (StringUtils.isBlank(courseCode)) {
			throw new BusinessException("courseCode is null");
		}
		if (StringUtils.isBlank(paperCode)) {
			throw new BusinessException("paperCode is null");
		}
		return teExamPaperMapper.findByExamIdAndCourseCodeAndPaperCode(examId, courseCode, paperCode);
	}
}
